## r-cran-rcmdcheck 1.3.3

=== DESCRIPTION ===
Package: badpackage
Title: Advice on R package building
Date: 2016 February
Version: 1.0.0
Author: Gabor Csardi
Maintainer: Gabor Csardi <gcsardi@mango-solutions.com>
Description: Give advice about good practices when building R packages.
License: Public domain
Suggests: testthat
RoxygenNote: 5.0.1
Repository: CRAN
NeedsCompilation: no
Packaged: 2018-09-01 10:11:21 UTC; gaborcsardi

=== tests/testthat/bad1/DESCRIPTION ===
Package: badpackage
Title: Advice on R package building
Date: 2016 February
Version: 1.0.0
Author: Gabor Csardi
Maintainer: Gabor Csardi <gcsardi@mango-solutions.com>
Description: Give advice about good practices when building R packages.
License: Public domain
Suggests:
    testthat,
    knitr,
    rmarkdown
RoxygenNote: 6.1.0
Repository: CRAN
Encoding: UTF-8
VignetteBuilder: knitr

## r-cran-rcmdcheck 1.3.2

=== debian/changelog ===
r-cran-rcmdcheck (1.3.2-2) unstable; urgency=medium

  * Update autopkgtest (Closes: #914707)

 -- Graham Inggs <ginggs@debian.org>  Thu, 06 Dec 2018 10:55:59 +0000

r-cran-rcmdcheck (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Sun, 11 Nov 2018 17:23:30 +0100

r-cran-rcmdcheck (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #912177)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 28 Oct 2018 21:15:23 +0100

=== debian/control ===
Source: r-cran-rcmdcheck
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-callr,
               r-cran-cli,
               r-cran-crayon,
               r-cran-desc,
               r-cran-digest,
               r-cran-pkgbuild,
               r-cran-prettyunits,
               r-cran-r6,
               r-cran-rprojroot,
               r-cran-sessioninfo (>= 1.1.1),
               r-cran-withr,
               r-cran-xopen
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck.git
Homepage: https://cran.r-project.org/package=rcmdcheck

Package: r-cran-rcmdcheck
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Run 'R CMD check' from 'R' and Capture Results
 Run 'R CMD check' from 'R' programmatically, and capture the
 results of the individual checks.

## r-cran-rcmdcheck 1.3.3

=== debian/changelog ===
r-cran-rcmdcheck (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #914707
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-callr,
-               r-cran-cli,
+               r-cran-callr (>= 3.1.1.9000),
+               r-cran-cli (>= 1.1.0),
                r-cran-crayon,
                r-cran-desc,
                r-cran-digest,
@@ -16,10 +16,10 @@
                r-cran-prettyunits,
                r-cran-r6,
                r-cran-rprojroot,
-               r-cran-sessioninfo (>= 1.1.1),
+               r-cran-sessioninfo,
                r-cran-withr,
                r-cran-xopen
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck.git
 Homepage: https://cran.r-project.org/package=rcmdcheck

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockery, r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-rcmdcheck 1.4.0

=== DESCRIPTION ===
Package: rcmdcheck
Title: Run 'R CMD check' from 'R' and Capture Results
Version: 1.4.0
Authors@R: 
    person(given = "Gábor",
           family = "Csárdi",
           role = c("cre", "aut"),
           email = "csardi.gabor@gmail.com")
Description: Run 'R CMD check' from 'R' and capture the results
    of the individual checks. Supports running checks in the background,
    timeouts, pretty printing and comparing check results.
License: MIT + file LICENSE
URL: https://r-lib.github.io/rcmdcheck/,
        https://github.com/r-Lib/rcmdcheck#readme
BugReports: https://github.com/r-Lib/rcmdcheck/issues
Imports: callr (>= 3.1.1.9000), cli (>= 3.0.0), curl, desc (>= 1.2.0),
        digest, pkgbuild, prettyunits, R6, rprojroot, sessioninfo (>=
        1.1.1), utils, withr, xopen
Suggests: covr, knitr, mockery, processx, ps, rmarkdown, svglite,
        testthat, webfakes
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-09-23 11:13:42 UTC; gaborcsardi
Author: Gábor Csárdi [cre, aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2021-09-27 15:10:02 UTC

=== tests/testthat/bad1/DESCRIPTION ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Suggests:
     testthat,
     knitr,
-    rmarkdown
+    rmarkdown,
+    svglite
 RoxygenNote: 6.1.0
 Repository: CRAN
 Encoding: UTF-8

=== tests/testthat/bad2/DESCRIPTION ===
Package: badpackage
Title: Advice on R package building
Date: 2016 February
Version: 1.0.0
Author: Gabor Csardi
Maintainer: Gabor Csardi <gcsardi@mango-solutions.com>
Description: Give advice about good practices when building R packages.
License: Public domain
Suggests:
    testthat
RoxygenNote: 5.0.1
biocViews: GraphAndNetwork

=== tests/testthat/bad4/DESCRIPTION ===
Package: badpackage
Title: Advice on R package building
Date: 2016 February
Version: 1.0.0
Author: Gabor Csardi
Maintainer: Gabor Csardi <gcsardi@mango-solutions.com>
Description: Give advice about good practices when building R packages.
License: GPL
Suggests:
    testthat,
    knitr,
    rmarkdown,
    svglite
RoxygenNote: 6.1.0
Repository: CRAN
Encoding: UTF-8
VignetteBuilder: knitr
Config/build/clean-inst-doc: FALSE

=== debian/changelog ===
r-cran-rcmdcheck (1.4.0-4) unstable; urgency=medium

  * Team upload.
  * Warn that this may be buggy on 32 bit systems
    and skip autopkgtest on armhf. (Closes: #1104159)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 28 Apr 2025 18:31:54 +0100

r-cran-rcmdcheck (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-picked 2 patches from upstream to update use of testthat without
    mockery.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Feb 2025 18:59:01 +0100

r-cran-rcmdcheck (1.4.0-2) unstable; urgency=medium

  * Team Upload.
  * Ignore one test

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 17:21:47 +0530

r-cran-rcmdcheck (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add r-cran-webfakes to test depends

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 13:17:01 +0530

r-cran-rcmdcheck (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 11:44:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-callr (>= 3.1.1.9000),
-               r-cran-cli (>= 1.1.0),
-               r-cran-crayon,
+               r-cran-cli (>= 3.0.0),
+               r-cran-curl,
                r-cran-desc,
                r-cran-digest,
                r-cran-pkgbuild,
@@ -19,10 +19,11 @@
                r-cran-sessioninfo,
                r-cran-withr,
                r-cran-xopen
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcmdcheck.git
 Homepage: https://cran.r-project.org/package=rcmdcheck
+Rules-Requires-Root: no
 
 Package: r-cran-rcmdcheck
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rmarkdown, r-cran-webfakes, texlive-latex-base, pandoc, r-cran-svglite
Restrictions: allow-stderr, skippable
